summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 1421fd9)
raw | patch | inline | side by side (parent: 1421fd9)
author | Heiko Voigt <hvoigt@hvoigt.net> | |
Thu, 11 Aug 2011 17:51:45 +0000 (19:51 +0200) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Thu, 11 Aug 2011 19:27:27 +0000 (12:27 -0700) |
Lets always initialize the 'update_module' variable with the final
value. This way we allow code which wants to check this configuration
early to do so right in the beginning of cmd_update().
Signed-off-by: Heiko Voigt <hvoigt@hvoigt.net>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
value. This way we allow code which wants to check this configuration
early to do so right in the beginning of cmd_update().
Signed-off-by: Heiko Voigt <hvoigt@hvoigt.net>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-submodule.sh | patch | blob | history |
diff --git a/git-submodule.sh b/git-submodule.sh
index f46862f61b48a970f6ec24a9ae7624905ba3013a..e544dbc917b84dfe17597e90e9e48af5a1e5a196 100755 (executable)
--- a/git-submodule.sh
+++ b/git-submodule.sh
fi
name=$(module_name "$path") || exit
url=$(git config submodule."$name".url)
- update_module=$(git config submodule."$name".update)
+ if ! test -z "$update"
+ then
+ update_module=$update
+ else
+ update_module=$(git config submodule."$name".update)
+ fi
+
if test -z "$url"
then
# Only mention uninitialized submodules when its
die "$(eval_gettext "Unable to find current revision in submodule path '\$path'")"
fi
- if ! test -z "$update"
- then
- update_module=$update
- fi
-
if test "$subsha1" != "$sha1"
then
subforce=$force